SystemOrganization addCategory: #AMP!

WebWidget subclass: #AMPFileElement
	instanceVariableNames: 'file observee'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPFileElement class methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:24'!
new
	^ super new method: #ajaxStarter:.
! !

!AMPFileElement methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:51'!
ajaxStarter: aString
	Transcript show: self file name.
	self elements first class:'playing'.
	self observee playSong: self file.! !

!AMPFileElement methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:43'!
file
	^file! !

!AMPFileElement methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:27'!
file:aFile
	file:= aFile! !

!AMPFileElement methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:42'!
observee
	^observee! !

!AMPFileElement methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:29'!
observee: aMusicPlayer
	observee:=aMusicPlayer! !

WebWidget subclass: #AMPFolderElement
	instanceVariableNames: 'folder observee'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPFolderElement class methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 10:36'!
new
	^ super new method: #ajaxStarter:.
! !

!AMPFolderElement methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:22'!
ajaxStarter: aString
	self elements first class:'playing'.! !

!AMPFolderElement methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:17'!
folder: aFolder
	folder:= aFolder! !

!AMPFolderElement methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:29'!
observee: aMusicPlayer
	observee:=aMusicPlayer! !

WebApplication subclass: #AMPMusicPlayerApp
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPMusicPlayerApp class methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 10:26'!
register
	| x amp hostname ip siteName styleClass |

	amp _ AMPMusicPlayer new.
	
	hostname:= '*'. 
	ip := '*'.
	styleClass := 'WebStyle'. 
	siteName := 'mysite'.
	(AIDASite named: siteName) isNil ifTrue: [
		x _ AIDASite new name: siteName.
		x  host: hostname ip: ip port: 8000.
		x styleClass: styleClass.	
		SwazooServer singleton addSite: x.
		SwazooServer startSite: siteName.	].		
	(AIDASite named: siteName) urlResolver defaultURL: '/' forObject: amp.
	AIDASite default: siteName.! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 09:51'!
clear! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 12:31'!
clickEventFor:aEntry
|e|
e := WebElement new.
e style: ''.
e addTextBold: 'play'.
Transcript show: 'clickEventFor', aEntry.
^e
! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:41'!
viewMain
	| e rootDir |
	e _ WebElement new.
	e addTextH1: 'Hello World'.
	rootDir := self observee rootDirectory.
	(rootDir entries select: [:entry | entry isDirectory ]) 
		do: [:entry | | div label|	
			div := AMPFolderElement new class: #ampSubdirectory; div:true.
			div folder:entry.
			div observee: self observee.
			label := WebElement new div:true..
			label addText:entry name.
			div add:label.			
			div  onClickUpdate: div.		
			div onClick: 'document.getElementsByClass(',#',#playing,#',') ;'.
			e add:div.			
		].
	
	(rootDir entries select: [:entry | entry isDirectory not ]) 
		do: [:entry | | div label|	
			div := AMPFileElement new class: #ampfile; div:true.
			div file:entry.
			div observee: self observee.
			label := WebElement new div:true..
			label addText:entry name.
			div add:label.			
			div  onClickUpdate: div.			
			e add:div.			
		].
	

	
	self style pageFrameWith:e title:'blub'.! !

Object subclass: #AMPMusicPlayer
	instanceVariableNames: 'rootDirectory player'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPMusicPlayer class methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 10:28'!
defaultPath
	^'E:\'! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 10:59'!
initialize
	rootDirectory := FileDirectory forFileName:AMPMusicPlayer defaultPath.
	
	"AMPDirectory new for: AMPMusicPlayer defaultPath.
	rootDirectory openDirectory."! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:47'!
playSong: aFile
	self player openFileNamed: aFile fullName.
! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'SW 11/1/2010 18:07'!
player
	player ifNil: [player:=MPEGDisplayMorph new].
	^player! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 10:30'!
rootDirectory 
	^rootDirectory
! !
